function result=ddt(Vr,n, T0, P0, ndot0, Vdot0, ndotA0)

Rgas=8.314;

ndotA=n(1);
ndotB=n(2);
ndotC=n(3);
ndotD=n(4);
ndotE=n(5);

X1=ndotB/ndotA0;
X2=ndotD/ndotA0;
Vdot=sum(n(1:5))*8.3143*T0/P0;
PA=ndotA*Rgas*T0/Vdot;

k1=2.8E-3/60;
k2=1.52E-4/60;

rate(1)=k1*PA;
rate(2)=k2*PA;
rate=rate.';

SM=[-1 1 1 0 0
    -1 0 0 1 1];

result=SM.'*rate;

end