function rhs=ddt(t,c,P, T, Tref)
 % sequence: 
kref(1:4)=P(1:2:7);
Ea(1:4)=P(2:2:8);

Rgas=8.314;

k=kref.*exp(-Ea.*1E3./Rgas.*(1/T-1/Tref));

cAT=c(1);
cAC=c(2);
cPT=c(3);
cPC=c(4);
cST=c(5);
cSC=c(6);

rhs(1,1)=-(k(2)+k(4))*cAT;
rhs(2,1)=-(k(1)+k(3))*cAC;
rhs(3,1)=k(2)*cAT;
rhs(4,1)=k(1)*cAC;
rhs(5,1)=k(4)*cAT;
rhs(6,1)=k(3)*cAC;

end