function rhs=ddt(t,c, pH2, P, cH2)

k3p=P(1);
k5p=P(2);
k7p=P(3);
KA=P(4);
KH=P(5);

rhocat=8;

cA=c(1);
cB=c(2);
cC=c(3);
cD=c(4);

SM=[-1 1 0 0
    -1 0 1 0
    -1 0 0 1];

den=1+KA*cA+sqrt(KH*cH2);

rate(1)=k3p*cA*sqrt(cH2)/den^2;
rate(2)=k5p*cA*sqrt(cH2)/den^2;
rate(3)=k7p*cA/den;
rate=rate.';

rhs=rhocat*SM.'*rate;

end