function []=plotFun(P)



figure 
hold on
plot(t1,100*x1(:,1), 'b', t2, 100*x2(:,1),'g', t3, 100*x3(:,1), 'r');

box on
TextBox1={'Conversion Reactor 1', 'Conversion Reactor 2','Conversion Reactor 3'};
legend(TextBox1)

xlabel('Time (s)')
ylabel('Conversion (%)');
title('Simulation');
hold off

figure 
hold on
plot(t1, x1(:,2), 'b', t2, x2(:,2), 'g', t3, x3(:,2), 'r')
box on
TextBox2={'Temperature Reactor 1', 'Temperature Reactor 2','Temperature Reactor 3'};
legend(TextBox2)

xlabel('Time (s)')
ylabel('Temperature (K)');
title('Simulation');

hold off

figure 
hold on

plot(t1,100*x1(:,1),'b')
plot(t1(end)+t2, 100*ConvGlobal2,'g')
plot(t1(end)+t2(end)+t3, 100*ConvGlobal3,'r')
plot([0 Totalt Totalt],[95 95 0],'k--')

box on
TextBox3={'Global Conv. Reactor 1', 'Global Conv. Reactor 2','Global Conv. Reactor 3', '95% Conversion'};
legend(TextBox3)

xlabel('Time (s)')
ylabel('Global Conversion (%)');
title('Simulation');

hold off

end