function result=ObjFun(Area)

options=[];

timespan=linspace(0,3600,3600);

cA0=4.55E3;
cB0=5.34E3;
cC0=0;
Temp0=53+273.15;

Init0=[cA0 cB0 cC0 Temp0];
[t,c]=ode23s(@ddt, timespan, Init0, [], Area);

maxConv=(cA0-c(end,1))/cA0*100;
maxTemp=max(c(:,4))-273.15;

 if maxTemp>100 | maxConv<95
    result=3600;
 else
        Conv=(cA0-c(:,1))./cA0*100;
        for i=1:length(t)
            if Conv(i)>=95
                result=t(i);
                break
            end
        end
end

end