function result=Init(Guess, T, xspan, SurfCond, rhop, Rc)
% this function receives the guesses for the concentration of compounds
% at the zero length coordinate. It returns the difference between the
% value of the calculated concentration at the surface and the real value
% of surface concentration. 

[x,c]=ode23s(@ddt, xspan, [zeros(1,5) Guess], [], T, rhop, Rc);

result=c(end,6:end)-SurfCond;

end