function result=TheorNeta(Rc, rhop, D, T)
% this function returns the theoretical Neta for a first order reaction

Rgas=8.314;
A=95.02;
Ea=94.3E3;
k=A*exp(-Ea/Rgas/T);
phi=Rc*sqrt(k*rhop/D);

result=3/phi*(1/tanh(phi)-1/phi);

end