function result=ObjFun(Cout, Cin, cSO4, Tau, mcat, VL, T, P)

cFe2=Cout(1);
cFe3=Cout(2);
cW=55;          % water concentration in mol/L
xO2=.21;        % mol fraction of O2 in the air

H=Henry(T, cFe2, cFe3, cSO4);           % calculates the Henry constant in atm

cO2=xO2*P*cW/H;                         % oxygen concentration in liquid phase 

SM=[-1 1];                              % stoichiometric matrix 

rate=rhom(cFe2,cO2, T)+rhet(cFe2,cO2, T)*mcat/VL;       % global reaction rate mol/L/min

result=-Cout+Cin+rate.*SM*Tau;      % zero function           

end