function result=Rate(c,n)

result=zeros(1,3*n+3);

k=2.1E-3;
KT=.25E-3;
KH=37E-3;

SM=[-1 -3 1];

cT=c(4:n+3);
cH2=c(n+4:2*n+3);
cMCH=c(2*n+4:3*n+3);

ReacRate=zeros(1,3);
for i=1:n
    ReacRate(i+3)=k.*KT.*KH.*cT(i)*cH2(i)/(1+3.*KT.*cT(i)+sqrt(KH.*cH2(i))).^3;
end

for j=1:3
    for i=4:n+3
        result((j-1)*n+i)=SM(j).*ReacRate(i);
    end
end

end