function rhs=rate(t, c, P, Temp, Tref)

Rgas=8.314;

kpref=P(1);
Eap=P(2)*1E3;
k1ref=P(3);
Ea1=P(4)*1E3;

for i=1:length(Temp)
    kp=kpref*exp(-Eap/Rgas*(1/Temp(i)-1/Tref));
    k1=k1ref*exp(-Ea1/Rgas*(1/Temp(i)-1/Tref));
    rhs(i,1)=kp+k1*c(i)^.5;
end

end