function [n, neq]=Const(Area)

timespan=linspace(0,3600,3600);

cA0=4.55E3;
cB0=5.34E3;
cC0=0;
Temp0=53+273.15;

Init0=[cA0 cB0 cC0 Temp0];
[t,c]=ode23s(@ddt, timespan, Init0, [], Area);

Conv=(cA0-c(:,1))./cA0*100;
maxConv=max(Conv);
Temp=c(:,4)-273.15;
maxTemp=max(Temp);

n(1)=-maxConv+95;
%n(2)=maxTemp-100;
neq=maxTemp-100;    % Unfortunatelly, if the temperature contraint is
%neq=[];            % inserted an inequality, the solver does not find the 
                    % optimun solution. It finds the  

end