function result=Tsteady(T,T0, Tau, Ea, A, deltaHr, rhocp, Ca0)    %Zero fucntion of the steady-state temperature

Rgas=8.314;
alfa=A*exp(-Ea/Rgas/T)*Tau;
Ca=(-1+sqrt(1+4*alfa*Ca0))/(2*alfa);

result=(T0-T)/Tau-A*exp(-Ea/Rgas/T)*Ca^2*deltaHr/rhocp;

end