function rhs=cstr(time, c)

cA=c(1);
cB=c(2);
cP=c(3);
T=c(4);

Ea=99E3;
A=1.52E9;
deltaHr=-33.5E3;
rhocp=1900E3;
Vdot=0.6E-3;
T0=290;
Rgas=8.314;
VR=1;

c0(1)=5E3;
c0(2)=5E3;
c0(3)=0;
c0=c0.';

k=A*exp(-Ea/Rgas/T);
rate=k*cA*cB;
SM=[-1 -1 1];

rhs=Vdot/VR*(c0-c(1:3))+SM.'*rate;
rhs(4,1)=Vdot/VR*(T0-T)+rate*(-deltaHr)/rhocp;

end