function result=rhom(cFe2, cO2, T)

% this function returns the homogeneous reaction rate

A1=21.6;
A2=36.8;
ER=4176;
Tref=353.15;

result=(A1*cFe2^2*cO2)/(1+A1/A2*cFe2)*exp(-ER*(1/T-1/Tref));

end     